-- Configuration
local unique_mod_id = "ellis_bodhi"

local target_character_id = "bodhi"

local position_offset = Vector3(0, -0.7, 0.9)
local rotation_offset = Rotation()

-- Functionality
Hooks:PostHook(BlackMarketTweakData, "_init_masks", unique_mod_id .. "_mask_offset", function(self, tweak_data)
	for mask_id, mask_data in pairs(self.masks) do
		mask_data.offsets = mask_data.offsets or {}

		local original_position = mask_data.offsets[target_character_id] and mask_data.offsets[target_character_id][1] or Vector3()
		local original_rotation = mask_data.offsets[target_character_id] and mask_data.offsets[target_character_id][2] or Rotation()

		mask_data.offsets[target_character_id] = {
			original_position + position_offset,
			original_rotation * rotation_offset
		}
	end
end)